# Uses of Class
org.eclipse.microprofile.openapi.apps.petstore.model.Pet

Packages that use Pet
Package
Description
org.eclipse.microprofile.openapi.apps.petstore.data
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.petstore.model
Copyright (c) 2017 Contributors to the Eclipse Foundation
org.eclipse.microprofile.openapi.apps.petstore.resource
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of Pet in org.eclipse.microprofile.openapi.apps.petstore.data

Methods in org.eclipse.microprofile.openapi.apps.petstore.data that return Pet
Modifier and Type
Method
Description
`Pet`
PetData.`addPet(Pet pet)`
`Pet`
PetData.`getPetById(long petId)`
Methods in org.eclipse.microprofile.openapi.apps.petstore.data that return types with arguments of type Pet
Modifier and Type
Method
Description
`List<Pet>`
PetData.`findPetByStatus(String status)`
`List<Pet>`
PetData.`findPetByTags(String tags)`
Methods in org.eclipse.microprofile.openapi.apps.petstore.data with parameters of type Pet
Modifier and Type
Method
Description
`Pet`
PetData.`addPet(Pet pet)`

## Uses of Pet in org.eclipse.microprofile.openapi.apps.petstore.model

Subclasses of Pet in org.eclipse.microprofile.openapi.apps.petstore.model
Modifier and Type
Class
Description
`class`
`Cat`
`class`
`Dog`
`class`
`Lizard`

## Uses of Pet in org.eclipse.microprofile.openapi.apps.petstore.resource

Methods in org.eclipse.microprofile.openapi.apps.petstore.resource with parameters of type Pet
Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
PetResource.`addPet(Pet pet)`
`jakarta.ws.rs.core.Response`
PetResource.`updatePet(Pet pet)`